Subject: Re: Prompt Redrawn When Resizing Or Deleting Panes In Tmux
From: <[email-masked]>
To: Zsh Workers <[email-masked]>
Date: Sat, 21 May 2016 04:29:00 +0100 (BST)
List-Id: Zsh Workers List <zsh-workers.zsh.org>

Are you asking that I only try with these 2 in .zshrc?

zsh -f
   RPS1=.

If so I tried it and the same problems...

20. May 2016 10:28 by [email-masked]:

> [Note: I'm not a zsh developer.]
>
> On 2016-05-20 02:36:54 +0100, > [email-masked]>  wrote:
>> I'm not sure if this is a bug, or because the way tmux works, zsh is
>> redrawing itself on the screen, therefore creating addition prompts.
>>
>> Please see this bug report for all the things I've been running into with
>> tmux;
>>
>> https://github.com/tmux/tmux/issues/405
>
> When you close panes, other panes (windows) are resized, so that
> a prompt redraw is expected. However, it's strange the new prompt
> doesn't appear in place, but on the next line.
>
> Do you get the same problem outside tmux when resizing the terminal?
> If no, the problem seems to come from tmux.
>
> Also try the same tests with:
>
>   zsh -f
>   RPS1=.
>
> --
> Vincent Lefèvre <> [email-masked]> > - Web: <> https://www.vinc17.net> 
> >
> 100% accessible validated (X)HTML - Blog: <> https://www.vinc17.net/blog> >
> Work: CR INRIA - computer arithmetic / AriC project (LIP, ENS-Lyon)